import { AlNodeSerial, AlCameraSerial, AlEdgeSerial } from "../interfaces";
import { Entity } from "aframe";
export declare class GetUtils {
    static getFileExtension(file: string): string;
    static getNodeWithHighestId(nodes: Map<string, AlNodeSerial>): number;
    static getEdgeWithHighestId(edges: Map<string, AlEdgeSerial>): number;
    static getNodeIdNumber(nodeId: string): number;
    static getNextNodeId(nodes: Map<string, AlNodeSerial>): string;
    static getNextEdgeId(edges: Map<string, AlEdgeSerial>): string;
    static getGeometryCenter(geometry: THREE.Geometry | THREE.BufferGeometry): THREE.Vector3;
    static getCameraStateFromEntity(entity: Entity): AlCameraSerial;
    static getCameraStateFromNode(node: AlNodeSerial, radius: number): AlCameraSerial | null;
}
